<?php
/**
* Page-description: This php file is used by PHP-Fusion to "install" the infusion. It contains information about the database tables and the infusion itself.
* @package infusion
* @tables dbprefix_recipes_categories, dbprefix_recipes_recipe, dbprefix_recipes_settings
*/
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System 			 |
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones				 |
| http://www.php-fusion.co.uk/ 						 |
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the |
| GNU General Public License. For details refer to   |
| the included gpl.txt file or visit http://gnu.org  |
+----------------------------------------------------+
| Infusion made by XtraLars, Bigwimp, johanf		 |
| ...as a school project and whatnot				 |
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."recipe_infusion/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."recipe_infusion/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."recipe_infusion/locale/English.php";
}

// Infusion general information
$inf_title = $locale['REC001'];
$inf_description = $locale['REC002'];
$inf_version = "0.01";
$inf_developer = "XtraLars, Bigwimp, johanf";
$inf_email = "";
$inf_weburl = "http://beta.baluba.org/";

$inf_folder = "recipe_infusion"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "recipe_admin.php"; // The admin panel filename if required.

$inf_link_name = $locale['REC003'] ; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "recipes.php"; // The filename you wish to link to.
$inf_link_visibility = "101"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 5; // Number of new db tables to create or drop.
$inf_insertdbrows = 1; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
//$inf_insertdbrow_[1] = "recipes_settings
$inf_newtable_[1] = "recipes_categories (
  cat_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  cat_name VARCHAR(100) NOT NULL DEFAULT '',
  PRIMARY KEY(cat_id));";
$inf_droptable_[1] = "recipes_categories";

$inf_newtable_[2] = "recipes_recipe (
  rec_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  cat_id SMALLINT(5) UNSIGNED NOT NULL,
  rec_name VARCHAR(80) NOT NULL DEFAULT '',
  rec_keywords VARCHAR(255) NOT NULL DEFAULT '',
  rec_description TEXT NOT NULL DEFAULT '',
  rec_image VARCHAR(60) NOT NULL DEFAULT '',
  user_id SMALLINT(5) UNSIGNED NULL,
  PRIMARY KEY(rec_id));";
$inf_droptable_[2] = "recipes_recipe";

$inf_newtable_[3] = "recipes_procedure (
  pro_id SMALLINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
  rec_id SMALLINT(5) UNSIGNED NOT NULL,
  pro_order SMALLINT(3) UNSIGNED NOT NULL DEFAULT 0,
  pro_type VARCHAR(20) NOT NULL DEFAULT '',
  pro_text TEXT NOT NULL DEFAULT '',
  PRIMARY KEY(pro_id));";
$inf_droptable_[3] = "recipes_procedure";

$inf_newtable_[4] = "recipes_ingredients (
  ing_id SMALLINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
  rec_id SMALLINT(5) UNSIGNED NOT NULL,
  ing_amount VARCHAR(25) NOT NULL DEFAULT '',
  ing_type VARCHAR(70) NOT NULL DEFAULT '',
  PRIMARY KEY(ing_id));";
$inf_droptable_[4] = "recipes_ingredients";

$inf_newtable_[5] = "recipes_settings (
  moderatorgroup TINYINT(3) UNSIGNED NOT NULL DEFAULT 102,
  usergroup TINYINT(3) UNSIGNED NOT NULL DEFAULT 101,
  readaccess TINYINT(3) UNSIGNED NOT NULL DEFAULT 0);";
$inf_droptable_[5] = "recipes_settings";
$inf_insertdbrow_[1] = "recipes_settings (moderatorgroup, usergroup, readaccess) VALUES(102, 101, 0)";
?>